Name: mysqlUserFolder
Version: 0.6.4
Release: alt3

Summary: Z MySQL User folder for Zope
Summary(ru_RU.KOI8-R): Z MySQL User folder for Zope
Source0: %name-%version.tar.gz
License: BSD Type
Group: System/Servers/ZProducts
BuildArchitectures: noarch
Requires: MySQL-python Zope-Modules
Url: http://www.egroups.com/group/mysqlUserFolder
BuildRequires: libAltDist

%description
The product allows to store Zope users list in MySQL database.  It supports
logging, authentification by means of HTTP and cookies, and anonymous users
registration.

This version is modified to be able to work in Russian environment: fixed
broken auth script (didn't work with Lynx, MSIE5.x, Opera) and new features
were added.

%description -l ru_RU.KOI8-R
       Zope 
  MySQL.   ,  
HTTP  Cookie,     .
         
 :    ,
        (lynx, MSIE5.x,
Opera),    .

%prep
%setup

%build
python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files -f INSTALLED_FILES
%changelog
* Sat Dec 14 2002 Andrey Orlov <cray@altlinux.ru> 0.6.4-alt3
- Declaration of requirements  are enchanced

* Wed Oct 23 2002 Andrey Orlov <cray@altlinux.ru>  0.6.4-alt2
- Recompiled

* Wed Jun  4 2002 Andrey Orlov <cray@altlinux.ru>  0.6.4-alt1
- Function get_path_from_request () now users REQUEST ['URL'] to
  construct request url. (thanks to Stephen Snyder).
- If tokens have invalid value, they are deleted from the cache.
  Previously, it was done only for expired tokens.
- Debug logging improvements.
- mysqlUserFolder is now forcing basic authentication on certain ports even
  if cookies are used (so FTP can be used).
- authorize () calls BasicUserFolder.authorize () now.
- URL Query string is also passed in login_goto if exception is raised
  during processing. This means that user will go to the target page
  including parameters after login.
- Management screen supports changing roles (thanks to Remi Houdaille).
- Multiple roles support when creating users (thanks to Remi Houdaille).
- Other small improvements in management screens.
- db.py: Tables are unlocked when exception is raised.
- Size of the username and email fields is increased to 60 in sql
  creation script. Management dtml methods support now getting field
  sizes from cfg.py
- New parameter mysql unix socket added.
- CACHE_USER_LIFE decreased to 60 in cfg.py

* Wed Feb 20 2002 Uzorin Pavel <pitch@altlinux.ru> 0.6.2-alt2
- Initial CHANGELOG
